import type { Meta, StoryObj } from "@storybook/svelte";
import EntityList from "../components/widgets/EntityList.svelte";
import {
  imageAddress,
  imageVerticalAddress,
  videoAddress,
  videoVerticalAddress,
} from "./common";
import RouterDecorator from "./RouterDecorator.svelte";

const meta: Meta<EntityList> = {
  title: "Widgets/EntityList",
  component: EntityList,
  tags: ["autodocs"],
  args: {
    entities: [
      imageAddress,
      imageVerticalAddress,
      videoAddress,
      videoVerticalAddress,
    ],
  },
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  decorators: [() => RouterDecorator as any],
};

export default meta;
type Story = StoryObj<EntityList>;

export const Thumbnails: Story = {
  args: {
    thumbnails: true,
  },
};

export const Plain: Story = {
  args: {
    thumbnails: false,
  },
};
